Skip to content

Validate a previously imported VPK package with Vault Java SDK code. Note that this endpoint does not validate component dependencies for Configuration Migration packages.

POST/api/{version}/services/vobject/vault_package__v/{package_id}/actions/validate
NameDescription
Acceptapplication/json (default)
curl -X POST -H "Authorization: {SESSION_ID}" \ https://veepharm.veevavault.com/api/v22.1/services/vobject/vault_package__v/0PI000000000401/actions/validate
{ "responseStatus": "SUCCESS", "responseDetails": { "summary": "Configuration and components (document fields, lifecycles, and workflows) for Documentation Review and Approval process.", "author": "lgills@veepharm.com", "package_name": "PKG-0031", "package_id": "0PI000000000401", "source_vault": "13135", "package_status": "Error", "total_steps": 21, "start_time": "18:09:2018 06:31:11", "end_time": "18:09:2018 06:31:13", "package_error": "", "package_steps": [ { "id": "0IS000000000401", "name__v": "00010", "step_type__v": "Component", "step_label__v": "Writer", "step_name__v": "writer__c", "type__v": "Picklist", "deployment_status__v": "Skipped", "deployment_action": "No Change (same as Vault)" }, { "id": "0IS000000000404", "name__v": "00040", "step_type__v": "Component", "step_label__v": "Vault Help Content", "step_name__v": "help_documents__c", "type__v": "Doctype", "deployment_status__v": "Deployed with warnings", "deployment_action": "Update" }, { "id": "0IS000000000420", "name__v": "00210", "step_type__v": "Component", "step_label__v": "documentation_review_and_approval__c.submit_for_annual_review__c", "step_name__v": "documentation_review_and_approval__c.submit_for_annual_review__c", "type__v": "Workflow", "deployment_status__v": "Verified", "deployment_action": "Add (missing in Vault)" } ] } }